cURL
curl --request POST \ --url https://whitebit.com/api/v4/mining/rewards \ --header 'Content-Type: application/json' \ --header 'X-TXC-APIKEY: <api-key>' \ --data ' { "account": "<string>", "from": 123, "to": 123, "limit": 30, "offset": 0 } '
{ "offset": 123, "limit": 123, "data": [ { "miningAccountName": "<string>", "totalReward": "<string>", "reward": "<string>", "fee": "<string>", "fppsRate": "<string>", "hashRate": "<string>", "date": 123 } ] }
The endpoint returns rewards received from mining.
Rate limit: 1000 requests/10 sec.
The API does not cache the response.
API key authentication using signed requests
Mining pool account
Date timestamp starting from which rewards are received
Date timestamp until which rewards are received
1 <= x <= 100
0 <= x <= 10000
Successful response
Show child attributes
Was this page helpful?